Package jnr.netdb

# Class Service

java.lang.Object
jnr.netdb.Service

public final class Service extends Object
Holds information about TCP and UDP services on a host.

## Method Summary

Modifier and Type
Method
Description
`final Collection<String>`
`getAliases()`
Gets a list of aliases this `Service` is also known as.
`static final Collection<Service>`
`getAllServices()`
Returns a list of all services.
`final String`
`getName()`
Returns the official IANA name of this `Service`
`final int`
`getPort()`
Returns the official IANA port for this `Service`
`static final Service`
`getServiceByName(String name, String proto)`
Locates a service by name and protocol.
`static final Service`
`getServiceByPort(int port, String proto)`
Locates a service by port and protocol.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getServiceByName

public static final Service getServiceByName(String name, String proto)
Locates a service by name and protocol.

Parameters:
  `name` - the official IANA name for the service, or an alias.
  `proto` - the protocol for the service. Usually "tcp" or "udp".
Returns:
  a `Service` instance, or `null` if the service could not be found.

### getServiceByPort

public static final Service getServiceByPort(int port, String proto)
Locates a service by port and protocol.

Parameters:
  `port` - the TCP or UDP port of the service.
  `proto` - the protocol for the service. Usually "tcp" or "udp".
Returns:
  a `Service` instance, or `null` if the service could not be found.

### getAllServices

public static final Collection<Service> getAllServices()
Returns a list of all services.

Returns:
  a `Collection` of `Service` instances.

### getName

public final String getName()
Returns the official IANA name of this `Service`

Returns:
  The name of this `Service` as a `String`

### getPort

public final int getPort()
Returns the official IANA port for this `Service`

Returns:
  The port for this `Service` as an `int`

### getAliases

public final Collection<String> getAliases()
Gets a list of aliases this `Service` is also known as.

Returns:
  A `Collection` of Strings for aliases this `Service`

### toString

public String toString()

Overrides:
  `toString` in class `Object`